//! Phase 29ai P6+: Plan-layer extractors (Pattern1-9)

pub(in crate::mir::builder) mod common_helpers;
pub(in crate::mir::builder) mod pattern1;
pub(in crate::mir::builder) mod pattern3;
pub(in crate::mir::builder) mod pattern4;
pub(in crate::mir::builder) mod pattern5;
pub(in crate::mir::builder) mod pattern6_scan_with_init;
pub(in crate::mir::builder) mod pattern7_split_scan;
pub(in crate::mir::builder) mod pattern2_break;
pub(in crate::mir::builder) mod pattern8;
pub(in crate::mir::builder) mod pattern9;
